Bug 70797 - USB fails ("Odd PCI resume") after suspend+resume on Toshiba laptop
USB fails ("Odd PCI resume") after suspend+resume on Toshiba laptop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 09:07 EDT by Toralf
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2002-08-05 09:07:13 EDT
Description of Problem:
On a Toshiba Satellite Pro 6000 laptop, USB stops working  

Version-Release number of selected component (if applicable):
3.0.2-10

How Reproducible:
Every time

Steps to Reproduce:
1. Connect USB mouse and configure XFree86 accordingly.
2. apm -s
3. Hit power button to resume

Actual Results:
Mouse works before apm -s, but not after resume. Message 
usb-ohci.c: odd PCI resume for usb-00:02.0
appears.


Expected Results:
Mouse works...

Additional Information:
Possible workaround: Add USB restart option to the apm script.
Comment 1 Andrew Wyatt 2003-01-09 08:05:54 EST
This issue also effects Dell laptops and other Toshiba models as well. My
resolution is to contro-alt-f1, unplug the mouse, plug it back in, and then
control-alt-f7.
Comment 2 Bill Nottingham 2003-01-09 15:34:01 EST
This *looks* to be more of a kernel-side issue than an apmd issue, from that
message.
Comment 3 John Heidemann 2004-02-21 23:56:22 EST
I see a similar problem:
NO usb devices work after suspend resume on my Toshiba Portege R100
running Fedora Core 1.
(Not mouse or keyboard.)
The problem seems kernel related, since lsusb doesn't show any
activity when devices are inserted and removed.
Comment 4 Pete Zaitcev 2004-04-19 14:49:00 EDT
I don't think I can do much about suspends, because it is
essentially hardware specific.

By the way, please try FC2t2 or t3, it has ACPI on by default.
Comment 5 Bugzilla owner 2004-09-30 11:39:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.